from src.utils.logger import get_module_logger, setup_root_logger
from tests.modelsuse import vad_model_use_online_logic

setup_root_logger(level="INFO",log_file="logs/test_main.log")

logger = get_module_logger(__name__)

logger.info("开始测试")
vad_result = vad_model_use_online_logic("tests/vad_example.wav")
logger.info("测试结束")
if vad_result is None:
    logger.warning("VAD结果为空")
else:
    logger.info(f"VAD结果: {vad_result}")